org.openmuc.openiec61850

## Interface ServerEventListener

    public interface ServerEventListener

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `serverStoppedListening(ServerSap serverSAP)`
`java.util.List<ServiceError>` `write(java.util.List<BasicDataAttribute> bdas)` The write callback function is called if one of more basic data attributes are written using either the setDataValue, setDataSetValues or control services.

### Method Detail

#### write

    java.util.List<ServiceError> write(java.util.List<BasicDataAttribute> bdas)

The write callback function is called if one of more basic data attributes are written using either the setDataValue, setDataSetValues or control services. If the complete write process was successful write returns either an empty list or null. If an error occurs writing one or more attributes then a list shall be returned that is of equal size as the list of basic data attributes. The returned list's element shall be null if writing the corresponding BDA was successful and a service error otherwise.

Parameters:
  `bdas` - the list of basic data attributes that are to be set.
Returns:
  a list of service errors indicating errors writing the corresponding basic data attributes.

#### serverStoppedListening

    void serverStoppedListening(ServerSap serverSAP)